Loading...
Searching...
No Matches
Opm::VFPInjTable Class Reference

## Public Types

enum class | FLO_TYPE { FLO_OIL =1 , FLO_WAT , FLO_GAS }

## Public Member Functions

| VFPInjTable (const DeckKeyword &table, const UnitSystem &deck_unit_system)
const KeywordLocation & | location () const
int | getTableNum () const
int | name () const
double | getDatumDepth () const
FLO_TYPE | getFloType () const
const std::vector< double > & | getFloAxis () const
const std::vector< double > & | getTHPAxis () const
const std::vector< double > & | getTable () const
| Returns the data of the table itself.
bool | operator== (const VFPInjTable &data) const
std::array< size_t, 2 > | shape () const
double | operator() (size_t thp_idx, size_t flo_idx) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static VFPInjTable | serializationTestObject ()

## Member Function Documentation

## getTable()

const std::vector< double > & Opm::VFPInjTable::getTable | ( |  | ) | const

inline

Returns the data of the table itself.

For ordered access use operator()(thp_idx, flo_idx)

This gives the bottom hole pressure value in the table for the coordinate given by flo_axis = getFloAxis(); thp_axis = getTHPAxis();

flo_coord = flo_axis(flo_idx); thp_coord = thp_axis(thp_idx);

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/VFPInjTable.hpp
- opm/input/eclipse/Schedule/VFPInjTable.cpp